Subject: [Ideas] Needless playing with semantics [Was : WG Review: IDentity Enabled Networks (ideas)]

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 11 Oct 2017 13:21:03 +0100

It is fruitless to debate what "identity" means. Much better to qualify it when you use it. When you mean "identity of a device" say so and don't use a shorthand. When you mean "identity of an individual" be explicit. Sure, you have to use a few more pixels, but you will be better understood.

It would also be helpful IMHO if the proponents were far clearer and blunt in their statements of intention. When saying "it is not our intention to do foo," you are not saying "doing foo is proscribed" and you are not saying "achieving foo as a by-product is unacceptable." Clarity is always helpful.

Adrian

> -----Original Message-----
> From: ietf [mailto:[email-masked]] On Behalf Of Uma Chunduri
> Sent: 11 October 2017 11:56
> To: Stephen Farrell; Robert Moskowitz; [email-masked]
> Cc: [email-masked]
> Subject: RE: [Ideas] WG Review: IDentity Enabled Networks (ideas)
> 
> Hi Stephen -
> 
> I would let Bob to respond the questions you asked - but If I may for the below
> question
> 
> 		>>
> 		>> This is about machines, and processes, have ID/Loc through
> some
> 		>> underlying technology (e.g. HIP, ILA, LISP) to have a common
> ID
> 		>> discovery and Loc back to ID (for things like HTTP redirects).
> 
> 	>If that's the case, then there appears to be serious confusion in the use-
> cases draft at least. And "identity" seems a fairly mad term to pick if one means
> processes or devices, as it pretty much guarantees raised hackles and confusion.
> 
> [Uma]:
> 
> 1. IDEAS only intended deal with aspects for control/mapping plane of ID/LOC
> protocols.
>       How  and what kind of Identifier's used in the data packets are governed by
> the  respective ID/LOC protocol in use.  Just give some examples -
>       It could be HIT in case of HIP with security properties, EID/Anonymous EID's in
> case of LISP with encapsulation.
> 
>      This has been explicitly updated in the use-case draft and can be further
> updated in the charter. But, I would note  this is the intention for the  following in
> the current charter text -
>       "The IDEAS WG will closely coordinate with the LISP and HIP WGs (and with
> 	others as needed) in order to keep them well-informed of the progress."
> 
> 2.  And regarding the usage of the term "identity" - not sure what's the confusion
> and why this has been associated with humans to start with. This has been
> further clarified in the discussions past few days and also been updated in the
> document.
>       Now the term,  we felt appropriate as the intent is in the context  of AUTH
> (examples of identifies thought through IPV4_ADDR, FQDN, RFC822_ADDR,
> IPV6_ADDR, DER_ASN1_DN, DER_ASN1_GN, KEY_IDs etc) ,
>        which is consistent with any of the authentication mechanism we use today*
> as defined by IETF.
> 
> --
> Uma C.
> 
> * https://tools.ietf.org/html/draft-ietf-tls-tls13-21
>    https://tools.ietf.org/html/rfc5996
>    Or one of the 20/30+ EAP AUTH methods with mutual authentication properties
> (depending the low power/high power mobile/industrial/vehicular IoT device in
> question)